Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.components
Interface SimpleButtonListener

All Known Implementing Classes:
  CameraPanel, ObjectPanel, SceneEditor, TransformPanel

    public interface SimpleButtonListener

The listener interface for receiving `SimpleButton` events.

Author:
  Risto Seene
See Also:
  `SimpleButton`, `SimpleButtonEvent`

Method Summary
`void` | `buttonClicked(SimpleButtonEvent e)` Invoked when the button is clicked.
`void` | `buttonDragEnded(SimpleButtonEvent e)` Invoked when the drag is ended.
`void` | `buttonDragged(SimpleButtonEvent e)` Invoked when the cursor is dragged inside buttons bounds.
`void` | `buttonEntered(SimpleButtonEvent e)` Invoked when the cursor enters to buttons bounds.
`void` | `buttonExited(SimpleButtonEvent e)` Invoked when the cursor exits from buttons bounds.

Method Detail

### buttonClicked

    void buttonClicked(SimpleButtonEvent e)

  Invoked when the button is clicked.

  Parameters:
    `e` - `SimpleButtonEvent` that describes the occured event

### buttonDragged

    void buttonDragged(SimpleButtonEvent e)

  Invoked when the cursor is dragged inside buttons bounds.

  Parameters:
    `e` - `SimpleButtonEvent` that describes the occured event

### buttonEntered

    void buttonEntered(SimpleButtonEvent e)

  Invoked when the cursor enters to buttons bounds.

  Parameters:
    `e` - `SimpleButtonEvent` that describes the occured event

### buttonExited

    void buttonExited(SimpleButtonEvent e)

  Invoked when the cursor exits from buttons bounds.

  Parameters:
    `e` - `SimpleButtonEvent` that describes the occured event

### buttonDragEnded

    void buttonDragEnded(SimpleButtonEvent e)

  Invoked when the drag is ended.

  Parameters:
    `e` - `SimpleButtonEvent` that describes the occured event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD